-- Columbia University
-- PU
-- Name: Jonathan Chen
-- UNI: jtc2119

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity mult_test is
end mult_test;

architecture behaviour of mult_test is 
		signal clock		:  STD_LOGIC ;
		signal dataa		:  STD_LOGIC_VECTOR (31 DOWNTO 0);
		signal datab		:  STD_LOGIC_VECTOR (31 DOWNTO 0);
		signal denormal		:  STD_LOGIC ;
		signal indefinite		: STD_LOGIC ;
		signal nan		: STD_LOGIC ;
		signal overflow		: STD_LOGIC ;
		signal result		: STD_LOGIC_VECTOR (31 DOWNTO 0);
		signal underflow		: STD_LOGIC ;
		signal zero		: STD_LOGIC;
begin	

	SOT: entity work.de2_mult port map ( 
		clock		=> clock,
		dataa		=> dataa,
		datab		=> datab,
		denormal		=> denormal,
		indefinite		=> indefinite,
		nan		=> nan,
		overflow		=> overflow,
		result		=> result,
		underflow		=> underflow,
		zero		=> zero
	);
			
	-- clock
	process
	begin
		clock <= '1';
		wait for 1 ns;		
		loop
			clock <= '0';
			wait for 1 ns;
			clock <= '1';
			wait for 1 ns;
		end loop;
	end process;
	
	-- dataa
	process
	begin
		dataa <= x"00000002";
		wait;
	end process;
	
	-- datab
	process
	begin
		datab <= x"00000002";
		wait;
	end process;
	

end behaviour;
